{% assign total_pages = paginator.total_pages %}

<nav role="navigation">
  {% if total_pages > 1 %}
  
    {% capture spaceless %}
      <!--
        Pagination links 
        * https://glennmccomb.com/articles/how-to-build-custom-hugo-pagination/
      -->

      {% assign link_offset   = 2 %}  
      {% assign page_current  = paginator.page %}
      {% assign links = paginator
                      | pagination_links: site.baseurl
                                        , page.paginate_root
                                        , site.pagination.permalink
      %}
    {% endcapture %}

    <!-- Page numbers. -->
    {% for page_cursor in (1..total_pages) %}

      {% capture spaceless %}
        <!-- Flag Calculation -->
        {% assign page_current_flag = page_cursor
                  | is_show_adjacent: page_current
                                    , total_pages
                                    , link_offset %}
      {% endcapture %}

      <!-- Show Pager. -->
      {% if page_current_flag == true %}
        {% if page_cursor == page_current %} 
          [ {{ page_cursor }} ]
        {% else %}
          [ <a href="{{ links.pages[page_cursor] }}">{{ page_cursor }}</a> ]
        {% endif %}
      {% endif %}

    {% endfor %}

  {% endif %}
</nav>
